### Function

# Vips Foreign find_save

#### Declaration [src]

    const char*
    vips_foreign_find_save (
      const char* filename
    )

#### Description [src]

Searches for an operation you could use to write to `filename`. Any trailing options on `filename` are stripped and ignored.

See also

`vips_foreign_find_save_buffer()`, `vips_image_write_to_file()`.

#### Parameters

`filename`

  Type: `const char*`

  Name to find a saver for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The name of an operation on success, `NULL` on error.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.